diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index c12a4b0..eff8395 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -45849,15 +45849,15 @@ IntegerNumberTheoryFunctions(): Exports == Implementation where
     numer(n * r)
 
   divisors n ==
-    oldList : List Integer := concat(1,nil())
+    oldList : List Integer := [1]
     for f in factors factor n repeat
-      newList : List Integer := nil()
-      for k in 0..f.exponent repeat
+      newList : List Integer := oldList
+      for k in 1..f.exponent repeat
         pow := f.factor ** k
         for m in oldList repeat
           newList := concat(pow * m,newList)
       oldList := newList
-    sort(#1 < #2,newList)
+    sort((i1:Integer,i2:Integer):Boolean +-> i1 < i2,oldList)
 
   numberOfDivisors n ==
     n = 0 => 0
diff --git a/changelog b/changelog
index 829815e..be0a59f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090605 tpd src/axiom-website/patches.html 20090605.03.tpd.patch
+20090605 tpd books/bookvol10.4 INTHEORY +-> conversion
 20090605 tpd src/axiom-website/patches.html 20090605.02.tpd.patch
 20090605 tpd books/bookvol10.4 ITRIGMNP +-> conversion
 20090605 tpd src/axiom-website/patches.html 20090605.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6f8783f..8a2fd10 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1455,5 +1455,7 @@ bookvol10.4 INEP +-> conversion<br/>
 bookvol10.4 ISUMP +-> conversion<br/>
 <a href="patches/20090605.02.tpd.patch">20090605.02.tpd.patch</a>
 bookvol10.4 ITRIGMNP +-> conversion<br/>
+<a href="patches/20090605.03.tpd.patch">20090605.03.tpd.patch</a>
+bookvol10.4 INTHEORY +-> conversion<br/>
  </body>
 </html>
